summaryrefslogtreecommitdiffstats
path: root/games/dreamchess
diff options
context:
space:
mode:
author Larry Hajali2010-05-12 23:29:17 +0200
committer Robby Workman2010-05-12 23:29:17 +0200
commitf790816ee157ce9c5c8589cc8bd24248c5f0e0fa (patch)
tree6f3c5f3afc6d5a111e6cc651fbf32d9a3b62677a /games/dreamchess
parent9dcbdaeac6c5ec7126047964b6d522adffc8e538 (diff)
downloadslackbuilds-f790816ee157ce9c5c8589cc8bd24248c5f0e0fa.tar.gz
games/dreamchess: Added to 12.2 repository
Diffstat (limited to 'games/dreamchess')
-rw-r--r--games/dreamchess/README8
-rw-r--r--games/dreamchess/doinst.sh4
-rw-r--r--games/dreamchess/dreamchess.SlackBuild76
-rw-r--r--games/dreamchess/dreamchess.info8
-rw-r--r--games/dreamchess/slack-desc19
5 files changed, 115 insertions, 0 deletions
diff --git a/games/dreamchess/README b/games/dreamchess/README
new file mode 100644
index 0000000000..0efcb477c6
--- /dev/null
+++ b/games/dreamchess/README
@@ -0,0 +1,8 @@
+DreamChess features 3D OpenGL graphics and provides various chess board sets,
+ranging from classic wooden to flat. A moderately strong chess engine is
+included: Dreamer. However, should this engine be too weak for you, then
+you can use any other XBoard-compatible chess engine, including the popular
+Crafty and GNU Chess. Other features include on-screen move lists using SAN
+notation, undo functionality, and savegames in PGN format.
+
+This requires mxml.
diff --git a/games/dreamchess/doinst.sh b/games/dreamchess/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/games/dreamchess/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/dreamchess/dreamchess.SlackBuild b/games/dreamchess/dreamchess.SlackBuild
new file mode 100644
index 0000000000..efca21df5e
--- /dev/null
+++ b/games/dreamchess/dreamchess.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for dreamchess
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=dreamchess
+VERSION=${VERSION:-0.2.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --disable-dependency-tracking \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+install -m 0644 desktop/$PRGNAM.desktop $PKG/usr/share/applications/
+install -m 0644 desktop/$PRGNAM.png $PKG/usr/share/pixmaps/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPY* INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/dreamchess/dreamchess.info b/games/dreamchess/dreamchess.info
new file mode 100644
index 0000000000..e2fff8e503
--- /dev/null
+++ b/games/dreamchess/dreamchess.info
@@ -0,0 +1,8 @@
+PRGNAM="dreamchess"
+VERSION="0.2.0"
+HOMEPAGE="http://www.dreamchess.org/"
+DOWNLOAD="http://download.berlios.de/dreamchess/dreamchess-0.2.0.tar.gz"
+MD5SUM="0e837e14819c1e7d0232c6beb4d5c185"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="rworkman"
diff --git a/games/dreamchess/slack-desc b/games/dreamchess/slack-desc
new file mode 100644
index 0000000000..369ffc3349
--- /dev/null
+++ b/games/dreamchess/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+dreamchess: dreamchess (chess game)
+dreamchess:
+dreamchess: DreamChess features 3D OpenGL graphics and provides various chess
+dreamchess: board sets, ranging from classic wooden to flat. A moderately strong
+dreamchess: chess engine is included: Dreamer.
+dreamchess:
+dreamchess: Homepage: http://www.dreamchess.org/
+dreamchess:
+dreamchess:
+dreamchess:
+dreamchess: